/** @format */
.lightbox {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 10;
  animation: lightboxIn 0.5s;
  transition: opacity 0.3s;


  & .fadeOut {
    opacity: 0;
  }

  &__next,
  &__prev {
    background: white;
    color: #901C1C;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 11;
    // opacity: 0.5;
    cursor: pointer;
    border: none;
    width: 50px;
    height: 100%;
    transition: 0.3s;

    :hover,
    :hover {
      opacity: 0.8;
    }
  }

  &__prev {
    right: auto;
    left: 0;
    /* transform: rotate(180deg); */
  }

  &__close {
    background-color: transparent!important;
    color: #901C1C;
    border: none;
    position: fixed;
    top: 20px;
    right: 10px;
    // opacity: 0.5;
    cursor: pointer;
    z-index: 12;
  }

  &__container {
    margin-right: 50px;
    margin-left: 50px;
    overflow: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    position: relative;

    & img {
      object-fit: cover;
      max-width: 100%;
      max-height: 100vh;
    }

  }

  &__loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) !important;
    width: 50px;
    height: 50px;
    padding: 55px;
    opacity: 0.5;
    background: url(../assets/svg/loader.svg) center center no-repeat;
  }
}

@keyframes lightboxIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
